# Communication Usage

**Summary:** Endpoints for Communication Usage

- Role: [Developers](https://www.subrite.no/developers)
- Source: https://www.subrite.no/developers/communication-usage
- Updated: 2026-10-13
- Markdown index: https://www.subrite.no/developers/llms.txt

<a id="get-api-v1-communication-usage-cost"></a>
## Get usage with price for emails and SMS, including cost

`GET /api/v1/communication-usage/cost`

**Authentication:** Bearer token (JWT)

### Responses

#### 200

Content type: `application/json` · `array of UsageCostDto`

| Name | Type | Description |
| --- | --- | --- |
| `[].month` (Required when parent is present) | `string (date-time)` |   |
| `[].emailSubritePrice` (Required when parent is present) | `number` |   |
| `[].smsSubritePrice` (Required when parent is present) | `number` |   |
| `[].totalPrice` (Required when parent is present) | `number` |   |
| `[].emailQty` (Required when parent is present) | `number` |   |
| `[].smsQty` (Required when parent is present) | `number` |   |

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` |   |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get usage with price for emails and SMS, including cost (403)](https://www.subrite.no/developers/communication-usage?md=true#get-api-v1-communication-usage-cost).

### Example request

```bash
curl https://api.subrite.no/api/v1/communication-usage/cost \
  --header 'Authorization: Bearer <token>'
```

### Example response

200 · `application/json`

```json
[
  {
    "month": "2019-08-24T14:15:22Z",
    "emailSubritePrice": 0,
    "smsSubritePrice": 0,
    "totalPrice": 0,
    "emailQty": 0,
    "smsQty": 0
  }
]
```
